org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.ValueConsumer

All Known Implementing Classes:
  DialogUtils.ExpressionProcessor, DialogUtils.OkButtonControl, DialogUtils.ValueProcessor, WizardUtils.WizardFinishController

Enclosing class:
  DialogUtils

    public static interface DialogUtils.ValueConsumer

Represents consumer vertex for Updater. Each instance should be explicitly registered in Updater.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `update(DialogUtils.Updater updater)` Called by updater when some linked sources have changed and it's time this vertex got updated.

### Method Detail

#### update

    void update(DialogUtils.Updater updater)

Called by updater when some linked sources have changed and it's time this vertex got updated. `DialogUtils.Updater.reportChanged(org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.ValueSource<?>)` may be called if some s have changed during this update (but this should not break topological order of the graph).